/*
  Todd Goldfinger

  Library for reading fixed-field file headers.

  You can use this under GPL 2.0.
*/

#ifndef _DUMPHEAD_H
#define _DUMPHEAD_H

#define INCOMPLETEHEADER 1
#define UNKNOWNFORMAT 2
#define UNKNOWNTYPE 3
#define OPENINERROR 4
#define OPENDESCERROR 5
#define UNKOWNTYPE 6
#define INTTOOBIG 7
#define NOMEMORY 8
#define READINERROR 9

#define UINTEGER 0
#define STRING   1
#define OTHER    2

#define STRSIZE 64

struct header {
    struct field *fields;
    int nflds;
};

struct field {
    char   name[STRSIZE+1];
    void   *val;
    char   type;
    short  size;
};

int getHead(struct header **head, const char *file);
void freeHead(struct header *head);

#endif
